=== kmail/checkbeforedeletemailplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_checkbeforedeleting_plugins\")
add_subdirectory(confirmbeforedeleting)
