## kdepim-addons 24.08.2

=== debian/changelog ===
kdepim-addons (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify the package.
    - Use wildcards for some of the symbols.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 09:35:00 -0500

kdepim-addons (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:56 +0200

kdepim-addons (24.08.0-7) experimental; urgency=medium

  * Disable tests.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 08:35:52 +0200

kdepim-addons (24.08.0-6) experimental; urgency=medium

  [ Matthias Geiger ]
  * d/rules: set relevant rust flags for mixed build, use packaged
    crates

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Oct 2024 20:39:00 +0200

kdepim-addons (24.08.0-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow tests to fail on armhf instead of i386.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Oct 2024 20:51:23 +0200

kdepim-addons (24.08.0-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow tests to fail on i386.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Oct 2024 19:46:23 +0200

kdepim-addons (24.08.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar & kitinerary
    are available.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Oct 2024 23:55:00 +0200

kdepim-addons (24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Rust build-dependencies to build the adblocker.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Sep 2024 17:38:31 +0200

kdepim-addons (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Sep 2024 22:24:25 +0200

kdepim-addons (22.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078483).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:49:48 +0200
